NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Weld::WeldFillBuilder Class Reference

A builder used to create or edit a NXOpen::Weld::Fill feature. More...

Inheritance diagram for NXOpen::Weld::WeldFillBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  BoundaryMethodType { BoundaryMethodTypeRectangle, BoundaryMethodTypeCurve }
 Defines whether the initial boundary of the fill pattern is defined by a two point rectangle or a curve. More...
 
enum  WidthAlongType { WidthAlongTypeXc, WidthAlongTypeYc }
 Defines the direction the fill strip's length is aligned. More...
 

Public Member Functions

NXOpen::SectionBoundary ()
 Returns the section defining the boundary if the NXOpen::Weld::WeldFillBuilder::BoundaryMethodTypeCurve option is specified for the boundary type. More...
 
NXOpen::Weld::WeldFillBuilder::BoundaryMethodType BoundaryMethod ()
 Returns the type of boundary to create the fill from. More...
 
bool ChangeViewOrientation ()
 Returns the indication if the view orientation should be changed automatically (true) upon initial creation of rectangles, or not (false)
Created in NX7.5.0. More...
 
NXOpen::Weld::CharacteristicsBuilderCharacteristics ()
 Returns the characteristics information. More...
 
NXOpen::PointCorner1 ()
 Returns the first corner of the boundary if the NXOpen::Weld::WeldFillBuilder::BoundaryMethodTypeRectangle option is specified for the boundary type. More...
 
NXOpen::PointCorner2 ()
 Returns the second corner of the boundary if the NXOpen::Weld::WeldFillBuilder::BoundaryMethodTypeRectangle option is specified for the boundary type. More...
 
void DeleteFillStrip (NXOpen::Weld::WeldFillStripBuilder *fillStrip)
 Delete a fill strip. More...
 
double DistanceTolerance ()
 Returns the distance tolerance used in processing to determine if two points are coincident. More...
 
double ExtendDistance ()
 Returns the distance to extend a strip. More...
 
double ExtrudeHeight ()
 Returns the height of the extrusions representing the fill. More...
 
NXOpen::Weld::WeldFillStripBuilderListFillStripList ()
 Returns the fill strip list. More...
 
NXOpen::SectionInnerBoundary ()
 Returns the section containing edges of interior openings which indicate that these openings should be filled over. More...
 
NXOpen::Weld::WeldFillStripBuilderNewFillStrip (const NXOpen::Point3d &center, double length)
 Create a new fill strip. More...
 
NXOpen::CoordinateSystemOrientation ()
 Returns the coordinate system that defines the alignment of the strips and rectangle. More...
 
NXOpen::ScCollectorPlacementFace ()
 Returns the collector containing the faces to build the fill on. More...
 
void SetBoundaryMethod (NXOpen::Weld::WeldFillBuilder::BoundaryMethodType boundaryMethod)
 Sets the type of boundary to create the fill from. More...
 
void SetChangeViewOrientation (bool changeViewOrientation)
 Sets the indication if the view orientation should be changed automatically (true) upon initial creation of rectangles, or not (false)
Created in NX7.5.0. More...
 
void SetCorner1 (NXOpen::Point *corner1)
 Sets the first corner of the boundary if the NXOpen::Weld::WeldFillBuilder::BoundaryMethodTypeRectangle option is specified for the boundary type. More...
 
void SetCorner2 (NXOpen::Point *corner2)
 Sets the second corner of the boundary if the NXOpen::Weld::WeldFillBuilder::BoundaryMethodTypeRectangle option is specified for the boundary type. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance used in processing to determine if two points are coincident. More...
 
void SetExtendDistance (double distance)
 Sets the distance to extend a strip. More...
 
void SetExtrudeHeight (double extrudeHeight)
 Sets the height of the extrusions representing the fill. More...
 
void SetOrientation (NXOpen::CoordinateSystem *csys)
 Sets the coordinate system that defines the alignment of the strips and rectangle. More...
 
void SetSubdivideRegion (bool subdivideRegion)
 Sets the indication if the fill is to be a collection of rectangles (true), or simply the enclosed boundary area (false). More...
 
void SetUseSeedFace (bool useSeedFace)
 Sets the indication if the selected faces should be used as seed faces. More...
 
void SetWidth (double width)
 Sets the width of the rectangles. More...
 
void SetWidthAlong (NXOpen::Weld::WeldFillBuilder::WidthAlongType widthAlong)
 Sets the width of the rectangles will be measured along this direction. More...
 
bool SubdivideRegion ()
 Returns the indication if the fill is to be a collection of rectangles (true), or simply the enclosed boundary area (false). More...
 
bool UseSeedFace ()
 Returns the indication if the selected faces should be used as seed faces. More...
 
double Width ()
 Returns the width of the rectangles. More...
 
NXOpen::Weld::WeldFillBuilder::WidthAlongType WidthAlong ()
 Returns the width of the rectangles will be measured along this direction. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

A builder used to create or edit a NXOpen::Weld::Fill feature.


To create a new instance of this class, use NXOpen::Weld::WeldManager::CreateFillBuilder
Default values.

Property Value

BoundaryMethod

Rectangle

ChangeViewOrientation

0

ExtendDistance

-15.0 (millimeters part), -0.5 (inches part)

ExtrudeHeight

1

SubdivideRegion

0

Width

5

WidthAlong

Xc


Created in NX7.5.0.

Member Enumeration Documentation

Defines whether the initial boundary of the fill pattern is defined by a two point rectangle or a curve.

Enumerator
BoundaryMethodTypeRectangle 

Boundary defined by a two point rectangle.

BoundaryMethodTypeCurve 

Boundary defined by a curve.

Defines the direction the fill strip's length is aligned.

Enumerator
WidthAlongTypeXc 

The length is aligned along the current WCS X direction.

WidthAlongTypeYc 

The length is aligned along the current WCS Y direction.

Member Function Documentation

NXOpen::Section* NXOpen::Weld::WeldFillBuilder::Boundary ( )

Returns the section defining the boundary if the NXOpen::Weld::WeldFillBuilder::BoundaryMethodTypeCurve option is specified for the boundary type.


Created in NX7.5.0.

License requirements : None

NXOpen::Weld::WeldFillBuilder::BoundaryMethodType NXOpen::Weld::WeldFillBuilder::BoundaryMethod ( )

Returns the type of boundary to create the fill from.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Weld::WeldFillBuilder::ChangeViewOrientation ( )

Returns the indication if the view orientation should be changed automatically (true) upon initial creation of rectangles, or not (false)
Created in NX7.5.0.



License requirements : None

NXOpen::Weld::CharacteristicsBuilder* NXOpen::Weld::WeldFillBuilder::Characteristics ( )

Returns the characteristics information.


Created in NX7.5.0.

License requirements : None

NXOpen::Point* NXOpen::Weld::WeldFillBuilder::Corner1 ( )

Returns the first corner of the boundary if the NXOpen::Weld::WeldFillBuilder::BoundaryMethodTypeRectangle option is specified for the boundary type.


Created in NX7.5.0.

License requirements : None

NXOpen::Point* NXOpen::Weld::WeldFillBuilder::Corner2 ( )

Returns the second corner of the boundary if the NXOpen::Weld::WeldFillBuilder::BoundaryMethodTypeRectangle option is specified for the boundary type.


Created in NX7.5.0.

License requirements : None

void NXOpen::Weld::WeldFillBuilder::DeleteFillStrip ( NXOpen::Weld::WeldFillStripBuilder fillStrip)

Delete a fill strip.


Created in NX7.5.0.

License requirements : ugweld ("UG WELD")

Parameters
fillStripFill strip to delete.
double NXOpen::Weld::WeldFillBuilder::DistanceTolerance ( )

Returns the distance tolerance used in processing to determine if two points are coincident.


Created in NX7.5.0.

License requirements : None

double NXOpen::Weld::WeldFillBuilder::ExtendDistance ( )

Returns the distance to extend a strip.


Created in NX7.5.0.

License requirements : None

double NXOpen::Weld::WeldFillBuilder::ExtrudeHeight ( )

Returns the height of the extrusions representing the fill.


Created in NX7.5.0.

License requirements : None

NXOpen::Weld::WeldFillStripBuilderList* NXOpen::Weld::WeldFillBuilder::FillStripList ( )

Returns the fill strip list.


Created in NX7.5.0.

License requirements : ugweld ("UG WELD")

NXOpen::Section* NXOpen::Weld::WeldFillBuilder::InnerBoundary ( )

Returns the section containing edges of interior openings which indicate that these openings should be filled over.


Created in NX7.5.0.

License requirements : None

NXOpen::Weld::WeldFillStripBuilder* NXOpen::Weld::WeldFillBuilder::NewFillStrip ( const NXOpen::Point3d center,
double  length 
)

Create a new fill strip.

Returns

Created in NX7.5.0.

License requirements : ugweld ("UG WELD")
Parameters
centerCenter of the fill strip
lengthLength of the fill strip
NXOpen::CoordinateSystem* NXOpen::Weld::WeldFillBuilder::Orientation ( )

Returns the coordinate system that defines the alignment of the strips and rectangle.


Created in NX7.5.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Weld::WeldFillBuilder::PlacementFace ( )

Returns the collector containing the faces to build the fill on.

Note that during processing additional faces will be obtained by getting adjacent tangent faces (within 45 degrees) so that the boundary of the area is covered. At least one face inside of every boundary must be selected.
Created in NX7.5.0.

License requirements : None

void NXOpen::Weld::WeldFillBuilder::SetBoundaryMethod ( NXOpen::Weld::WeldFillBuilder::BoundaryMethodType  boundaryMethod)

Sets the type of boundary to create the fill from.


Created in NX7.5.0.

License requirements : ugweld ("UG WELD")

Parameters
boundaryMethodboundarymethod
void NXOpen::Weld::WeldFillBuilder::SetChangeViewOrientation ( bool  changeViewOrientation)

Sets the indication if the view orientation should be changed automatically (true) upon initial creation of rectangles, or not (false)
Created in NX7.5.0.



License requirements : ugweld ("UG WELD")

Parameters
changeViewOrientationchangevieworientation
void NXOpen::Weld::WeldFillBuilder::SetCorner1 ( NXOpen::Point corner1)

Sets the first corner of the boundary if the NXOpen::Weld::WeldFillBuilder::BoundaryMethodTypeRectangle option is specified for the boundary type.


Created in NX7.5.0.

License requirements : ugweld ("UG WELD")

Parameters
corner1corner1
void NXOpen::Weld::WeldFillBuilder::SetCorner2 ( NXOpen::Point corner2)

Sets the second corner of the boundary if the NXOpen::Weld::WeldFillBuilder::BoundaryMethodTypeRectangle option is specified for the boundary type.


Created in NX7.5.0.

License requirements : ugweld ("UG WELD")

Parameters
corner2corner2
void NXOpen::Weld::WeldFillBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance used in processing to determine if two points are coincident.


Created in NX7.5.0.

License requirements : ugweld ("UG WELD")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Weld::WeldFillBuilder::SetExtendDistance ( double  distance)

Sets the distance to extend a strip.


Created in NX7.5.0.

License requirements : ugweld ("UG WELD")

Parameters
distancedistance
void NXOpen::Weld::WeldFillBuilder::SetExtrudeHeight ( double  extrudeHeight)

Sets the height of the extrusions representing the fill.


Created in NX7.5.0.

License requirements : ugweld ("UG WELD")

Parameters
extrudeHeightextrudeheight
void NXOpen::Weld::WeldFillBuilder::SetOrientation ( NXOpen::CoordinateSystem csys)

Sets the coordinate system that defines the alignment of the strips and rectangle.


Created in NX7.5.0.

License requirements : ugweld ("UG WELD")

Parameters
csyscsys
void NXOpen::Weld::WeldFillBuilder::SetSubdivideRegion ( bool  subdivideRegion)

Sets the indication if the fill is to be a collection of rectangles (true), or simply the enclosed boundary area (false).


Created in NX7.5.0.

License requirements : ugweld ("UG WELD")

Parameters
subdivideRegionsubdivideregion
void NXOpen::Weld::WeldFillBuilder::SetUseSeedFace ( bool  useSeedFace)

Sets the indication if the selected faces should be used as seed faces.


Created in NX7.5.0.

License requirements : ugweld ("UG WELD")

Parameters
useSeedFaceuseseedface
void NXOpen::Weld::WeldFillBuilder::SetWidth ( double  width)

Sets the width of the rectangles.

Only used if SubdivideRegion is true.
Created in NX7.5.0.

License requirements : ugweld ("UG WELD")

Parameters
widthwidth
void NXOpen::Weld::WeldFillBuilder::SetWidthAlong ( NXOpen::Weld::WeldFillBuilder::WidthAlongType  widthAlong)

Sets the width of the rectangles will be measured along this direction.


Created in NX7.5.0.

License requirements : ugweld ("UG WELD")

Parameters
widthAlongwidthalong
bool NXOpen::Weld::WeldFillBuilder::SubdivideRegion ( )

Returns the indication if the fill is to be a collection of rectangles (true), or simply the enclosed boundary area (false).


Created in NX7.5.0.

License requirements : None

bool NXOpen::Weld::WeldFillBuilder::UseSeedFace ( )

Returns the indication if the selected faces should be used as seed faces.


Created in NX7.5.0.

License requirements : None

double NXOpen::Weld::WeldFillBuilder::Width ( )

Returns the width of the rectangles.

Only used if SubdivideRegion is true.
Created in NX7.5.0.

License requirements : None

NXOpen::Weld::WeldFillBuilder::WidthAlongType NXOpen::Weld::WeldFillBuilder::WidthAlong ( )

Returns the width of the rectangles will be measured along this direction.


Created in NX7.5.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.